import { CloseOutlined } from "@ant-design/icons";
import styles from "./Drawer.module.css";
import { useEffect } from "react";

export default function Drawer({ isOpen, closeDrawer }) {
  useEffect(() => {
    if (isOpen) {
      document.body.style.overflow = "hidden";
    } else {
      document.body.style.overflow = "unset";
    }
  }, [isOpen]);

  return (
    <div className={`${styles.drawer} ${isOpen ? styles.draweropen : ""}`}>
      <CloseOutlined
        className={styles.closeIcon}
        onClick={closeDrawer}
        style={{ color: "#fff" }}
      />
    </div>
  );
}
